summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d')
-rw-r--r--build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/functions.d/symlink_used_block_devices7
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/pacman-init34
2 files changed, 41 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/functions.d/symlink_used_block_devices b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/functions.d/symlink_used_block_devices
new file mode 100644
index 0000000..f6b6062
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/functions.d/symlink_used_block_devices
@@ -0,0 +1,7 @@
+symlink_used_block_devices()
+{
+ mkdir /run/aif
+ ln -s /run/archiso/used_block_devices /run/aif/ignore_block_devices
+}
+
+add_hook multi_end symlink_used_block_devices
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/pacman-init b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/pacman-init
new file mode 100755
index 0000000..bbbd719
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/etc/rc.d/pacman-init
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Initializing pacman keyring"
+ if { pacman-key --init && pacman-key --populate archlinux; } &>/dev/null; then
+ add_daemon pacman-init
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Removing pacman keyring"
+ rm -rf /etc/pacman.d/gnupg
+ rm_daemon pacman-init
+ stat_done
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+
+exit 0